-- name: BulkUpdateExtras :exec
UPDATE financial_transactions
SET 
  valor_extra = COALESCE(valor_extra, 0) + @valor_extra,
  descricao_extra = CASE 
    WHEN descricao_extra IS NULL OR descricao_extra = '' THEN @descricao_extra 
    ELSE descricao_extra || ' + ' || @descricao_extra 
  END,
  total_pagar = valor_free + (COALESCE(valor_extra, 0) + @valor_extra)
WHERE id = ANY(@ids::uuid[]);
